Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Google Cloud Key APIs

Canceling a Synchronization Job

search

Please Note:

Canceling a Synchronization Job

Use the post /v1/cckm/google/synchronization-jobs/{id}/cancel API to cancel a synchronization job with the given ID. Only an in-progress synchronization can be canceled.

Syntax

curl -k '<IP>/api/v1/cckm/google/synchronization-jobs/{id}/cancel' -X POST -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} represents the resource ID of the synchronization job to be canceled. To get the ID of a synchronization job, refer to Viewing Synchronization Status.

Request Parameters

ParameterTypeDescription
AUTHTOKENstringAuthorization token.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/google/synchronization-jobs/c48cdf05-3752-400f-ae3e-41826dedd862/cancel' -X POST -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJhOGY3N2IxZS1lOTY2LTQwMjEtODRjMC01YjZiNjAzMTBmOWEiLCJzdWIiOiJsb2NhbHwzM2Y5ZDFmNi04MjJiLTQ0NTItOGM4MC1mYzM0ZGYyZTI3OGQiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNjcyMjMzMDAtYjU2ZC00ZmVmLTkwMDEtZGE1NGY2ZDdiMzY4Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImFlZWY5ZmY4LThhYjctNDUyZS04YTE4LTQ3YTYxZDg0MzAwZSIsImlhdCI6MTYyMDIwMzYxMCwiZXhwIjoxNjIwMjAzOTEwfQ.eGWVMC1yUBYbUSxr22aBPdP2Tg257k7D_5galuus2qg' --compressed

Example Response

{
    "id": "c48cdf05-3752-400f-ae3e-41826dedd862",
    "uri": "kylo:kylo:cckm:synchronize:c48cdf05-3752-400f-ae3e-41826dedd862",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2021-05-05T08:38:08.598898Z",
    "updatedAt": "2021-05-05T08:38:15.472661Z",
    "overall_status": "in_progress",
    "detailed_status": {
        "projects/gemalto-kyloeng/locations/global/keyRings/demo-key-ring": "in_progress"
    },
    "cloud": "gcp",
    "key_rings": [
        "projects/gemalto-kyloeng/locations/global/keyRings/demo-key-ring"
    ],
    "abort": true
}

In the sample output above, "abort": true indicates that cancellation of a synchronization job with the ID "c48cdf05-3752-400f-ae3e-41826dedd862" is triggered and its "overall_status" is "in_progress". After the job is canceled, its status becomes "completed".

Response Codes

Response CodeDescription
2xxSuccess
4xxClient errors
5xxServer errors

Refer to HTTP status codes for details.